{% extends "base.html" %}

{% block content %}

{% comment %} <h1>Liste des salles</h1> {% endcomment %}

<p id="toto">Toto</p>
<button 
    hx-get="{% url 'change-toto' %}" 
    hx-target="#toto" 
    hx-swap="outerHTML" 
    class="btn"
>
    Click Me
</button>

<div id="list-rooms">
    {% include "components/list-rooms.html" %}
</div>

<form class="p-4" hx-on::after-request="this.reset()">
    <input type="text" name="name" placeholder="Nom" class="input input-bordered w-full max-w-xs">
    <button class="btn" 
        hx-post="{% url 'home' %}" 
        hx-target="#list-rooms"
        hx-swap="innerHTML"
    >
        Créer
    </button>
</form>

{% comment %} <div class="flex gap-4">
    <div x-data="{ text: 'Hello, Django!!!' }">
        <h1 class="text-4xl"  x-text="text"></h1>
        <button 
            class="btn" 
            x-on:click="text = 'Coucou'" 
            x-bind:disabled="text == 'Coucou'"
            x-show="text !== 'Coucou'"
            x-transition
        >
            Click Me
        </button>
    </div>
</div> {% endcomment %}

{% endblock content %}

